\definecolor{snow}{rgb}{1.000,0.980,0.980}
\definecolor{GhostWhite}{rgb}{0.973,0.973,1.000}
\definecolor{WhiteSmoke}{rgb}{0.961,0.961,0.961}
\definecolor{gainsboro}{rgb}{0.863,0.863,0.863}
\definecolor{FloralWhite}{rgb}{1.000,0.980,0.941}
\definecolor{OldLace}{rgb}{0.992,0.961,0.902}
\definecolor{linen}{rgb}{0.980,0.941,0.902}
\definecolor{AntiqueWhite}{rgb}{0.980,0.922,0.843}
\definecolor{PapayaWhip}{rgb}{1.000,0.937,0.835}
\definecolor{BlanchedAlmond}{rgb}{1.000,0.922,0.804}
\definecolor{bisque}{rgb}{1.000,0.894,0.769}
\definecolor{PeachPuff}{rgb}{1.000,0.855,0.725}
\definecolor{NavajoWhite}{rgb}{1.000,0.871,0.678}
\definecolor{moccasin}{rgb}{1.000,0.894,0.710}
\definecolor{cornsilk}{rgb}{1.000,0.973,0.863}
\definecolor{ivory}{rgb}{1.000,1.000,0.941}
\definecolor{LemonChiffon}{rgb}{1.000,0.980,0.804}
\definecolor{seashell}{rgb}{1.000,0.961,0.933}
\definecolor{honeydew}{rgb}{0.941,1.000,0.941}
\definecolor{MintCream}{rgb}{0.961,1.000,0.980}
\definecolor{azure}{rgb}{0.941,1.000,1.000}
\definecolor{AliceBlue}{rgb}{0.941,0.973,1.000}
\definecolor{lavender}{rgb}{0.902,0.902,0.980}
\definecolor{LavenderBlush}{rgb}{1.000,0.941,0.961}
\definecolor{MistyRose}{rgb}{1.000,0.894,0.882}
\definecolor{white}{rgb}{1.000,1.000,1.000}
\definecolor{black}{rgb}{0.000,0.000,0.000}
\definecolor{DarkSlateGray}{rgb}{0.184,0.310,0.310}
\definecolor{DarkSlateGrey}{rgb}{0.184,0.310,0.310}
\definecolor{DimGray}{rgb}{0.412,0.412,0.412}
\definecolor{DimGrey}{rgb}{0.412,0.412,0.412}
\definecolor{SlateGray}{rgb}{0.439,0.502,0.565}
\definecolor{SlateGrey}{rgb}{0.439,0.502,0.565}
\definecolor{LightSlateGray}{rgb}{0.467,0.533,0.600}
\definecolor{LightSlateGrey}{rgb}{0.467,0.533,0.600}
\definecolor{gray}{rgb}{0.745,0.745,0.745}
\definecolor{grey}{rgb}{0.745,0.745,0.745}
\definecolor{LightGrey}{rgb}{0.827,0.827,0.827}
\definecolor{LightGray}{rgb}{0.827,0.827,0.827}
\definecolor{MidnightBlue}{rgb}{0.098,0.098,0.439}
\definecolor{navy}{rgb}{0.000,0.000,0.502}
\definecolor{NavyBlue}{rgb}{0.000,0.000,0.502}
\definecolor{CornflowerBlue}{rgb}{0.392,0.584,0.929}
\definecolor{DarkSlateBlue}{rgb}{0.282,0.239,0.545}
\definecolor{SlateBlue}{rgb}{0.416,0.353,0.804}
\definecolor{MediumSlateBlue}{rgb}{0.482,0.408,0.933}
\definecolor{LightSlateBlue}{rgb}{0.518,0.439,1.000}
\definecolor{MediumBlue}{rgb}{0.000,0.000,0.804}
\definecolor{RoyalBlue}{rgb}{0.255,0.412,0.882}
\definecolor{blue}{rgb}{0.000,0.000,1.000}
\definecolor{DodgerBlue}{rgb}{0.118,0.565,1.000}
\definecolor{DeepSkyBlue}{rgb}{0.000,0.749,1.000}
\definecolor{SkyBlue}{rgb}{0.529,0.808,0.922}
\definecolor{LightSkyBlue}{rgb}{0.529,0.808,0.980}
\definecolor{SteelBlue}{rgb}{0.275,0.510,0.706}
\definecolor{LightSteelBlue}{rgb}{0.690,0.769,0.871}
\definecolor{LightBlue}{rgb}{0.678,0.847,0.902}
\definecolor{PowderBlue}{rgb}{0.690,0.878,0.902}
\definecolor{PaleTurquoise}{rgb}{0.686,0.933,0.933}
\definecolor{DarkTurquoise}{rgb}{0.000,0.808,0.820}
\definecolor{MediumTurquoise}{rgb}{0.282,0.820,0.800}
\definecolor{turquoise}{rgb}{0.251,0.878,0.816}
\definecolor{cyan}{rgb}{0.000,1.000,1.000}
\definecolor{LightCyan}{rgb}{0.878,1.000,1.000}
\definecolor{CadetBlue}{rgb}{0.373,0.620,0.627}
\definecolor{MediumAquamarine}{rgb}{0.400,0.804,0.667}
\definecolor{aquamarine}{rgb}{0.498,1.000,0.831}
\definecolor{DarkGreen}{rgb}{0.000,0.392,0.000}
\definecolor{DarkOliveGreen}{rgb}{0.333,0.420,0.184}
\definecolor{DarkSeaGreen}{rgb}{0.561,0.737,0.561}
\definecolor{SeaGreen}{rgb}{0.180,0.545,0.341}
\definecolor{MediumSeaGreen}{rgb}{0.235,0.702,0.443}
\definecolor{LightSeaGreen}{rgb}{0.125,0.698,0.667}
\definecolor{PaleGreen}{rgb}{0.596,0.984,0.596}
\definecolor{SpringGreen}{rgb}{0.000,1.000,0.498}
\definecolor{LawnGreen}{rgb}{0.486,0.988,0.000}
\definecolor{green}{rgb}{0.000,1.000,0.000}
\definecolor{chartreuse}{rgb}{0.498,1.000,0.000}
\definecolor{MediumSpringGreen}{rgb}{0.000,0.980,0.604}
\definecolor{GreenYellow}{rgb}{0.678,1.000,0.184}
\definecolor{LimeGreen}{rgb}{0.196,0.804,0.196}
\definecolor{YellowGreen}{rgb}{0.604,0.804,0.196}
\definecolor{ForestGreen}{rgb}{0.133,0.545,0.133}
\definecolor{OliveDrab}{rgb}{0.420,0.557,0.137}
\definecolor{DarkKhaki}{rgb}{0.741,0.718,0.420}
\definecolor{khaki}{rgb}{0.941,0.902,0.549}
\definecolor{PaleGoldenrod}{rgb}{0.933,0.910,0.667}
\definecolor{LightGoldenrodYellow}{rgb}{0.980,0.980,0.824}
\definecolor{LightYellow}{rgb}{1.000,1.000,0.878}
\definecolor{yellow}{rgb}{1.000,1.000,0.000}
\definecolor{gold}{rgb}{1.000,0.843,0.000}
\definecolor{LightGoldenrod}{rgb}{0.933,0.867,0.510}
\definecolor{goldenrod}{rgb}{0.855,0.647,0.125}
\definecolor{DarkGoldenrod}{rgb}{0.722,0.525,0.043}
\definecolor{RosyBrown}{rgb}{0.737,0.561,0.561}
\definecolor{IndianRed}{rgb}{0.804,0.361,0.361}
\definecolor{SaddleBrown}{rgb}{0.545,0.271,0.075}
\definecolor{sienna}{rgb}{0.627,0.322,0.176}
\definecolor{peru}{rgb}{0.804,0.522,0.247}
\definecolor{burlywood}{rgb}{0.871,0.722,0.529}
\definecolor{beige}{rgb}{0.961,0.961,0.863}
\definecolor{wheat}{rgb}{0.961,0.871,0.702}
\definecolor{SandyBrown}{rgb}{0.957,0.643,0.376}
\definecolor{tan}{rgb}{0.824,0.706,0.549}
\definecolor{chocolate}{rgb}{0.824,0.412,0.118}
\definecolor{firebrick}{rgb}{0.698,0.133,0.133}
\definecolor{brown}{rgb}{0.647,0.165,0.165}
\definecolor{DarkSalmon}{rgb}{0.914,0.588,0.478}
\definecolor{salmon}{rgb}{0.980,0.502,0.447}
\definecolor{LightSalmon}{rgb}{1.000,0.627,0.478}
\definecolor{orange}{rgb}{1.000,0.647,0.000}
\definecolor{DarkOrange}{rgb}{1.000,0.549,0.000}
\definecolor{coral}{rgb}{1.000,0.498,0.314}
\definecolor{LightCoral}{rgb}{0.941,0.502,0.502}
\definecolor{tomato}{rgb}{1.000,0.388,0.278}
\definecolor{OrangeRed}{rgb}{1.000,0.271,0.000}
\definecolor{red}{rgb}{1.000,0.000,0.000}
\definecolor{HotPink}{rgb}{1.000,0.412,0.706}
\definecolor{DeepPink}{rgb}{1.000,0.078,0.576}
\definecolor{pink}{rgb}{1.000,0.753,0.796}
\definecolor{LightPink}{rgb}{1.000,0.714,0.757}
\definecolor{PaleVioletRed}{rgb}{0.859,0.439,0.576}
\definecolor{maroon}{rgb}{0.690,0.188,0.376}
\definecolor{MediumVioletRed}{rgb}{0.780,0.082,0.522}
\definecolor{VioletRed}{rgb}{0.816,0.125,0.565}
\definecolor{magenta}{rgb}{1.000,0.000,1.000}
\definecolor{violet}{rgb}{0.933,0.510,0.933}
\definecolor{plum}{rgb}{0.867,0.627,0.867}
\definecolor{orchid}{rgb}{0.855,0.439,0.839}
\definecolor{MediumOrchid}{rgb}{0.729,0.333,0.827}
\definecolor{DarkOrchid}{rgb}{0.600,0.196,0.800}
\definecolor{DarkViolet}{rgb}{0.580,0.000,0.827}
\definecolor{BlueViolet}{rgb}{0.541,0.169,0.886}
\definecolor{purple}{rgb}{0.627,0.125,0.941}
\definecolor{MediumPurple}{rgb}{0.576,0.439,0.859}
\definecolor{thistle}{rgb}{0.847,0.749,0.847}
\definecolor{snow1}{rgb}{1.000,0.980,0.980}
\definecolor{snow2}{rgb}{0.933,0.914,0.914}
\definecolor{snow3}{rgb}{0.804,0.788,0.788}
\definecolor{snow4}{rgb}{0.545,0.537,0.537}
\definecolor{seashell1}{rgb}{1.000,0.961,0.933}
\definecolor{seashell2}{rgb}{0.933,0.898,0.871}
\definecolor{seashell3}{rgb}{0.804,0.773,0.749}
\definecolor{seashell4}{rgb}{0.545,0.525,0.510}
\definecolor{AntiqueWhite1}{rgb}{1.000,0.937,0.859}
\definecolor{AntiqueWhite2}{rgb}{0.933,0.875,0.800}
\definecolor{AntiqueWhite3}{rgb}{0.804,0.753,0.690}
\definecolor{AntiqueWhite4}{rgb}{0.545,0.514,0.471}
\definecolor{bisque1}{rgb}{1.000,0.894,0.769}
\definecolor{bisque2}{rgb}{0.933,0.835,0.718}
\definecolor{bisque3}{rgb}{0.804,0.718,0.620}
\definecolor{bisque4}{rgb}{0.545,0.490,0.420}
\definecolor{PeachPuff1}{rgb}{1.000,0.855,0.725}
\definecolor{PeachPuff2}{rgb}{0.933,0.796,0.678}
\definecolor{PeachPuff3}{rgb}{0.804,0.686,0.584}
\definecolor{PeachPuff4}{rgb}{0.545,0.467,0.396}
\definecolor{NavajoWhite1}{rgb}{1.000,0.871,0.678}
\definecolor{NavajoWhite2}{rgb}{0.933,0.812,0.631}
\definecolor{NavajoWhite3}{rgb}{0.804,0.702,0.545}
\definecolor{NavajoWhite4}{rgb}{0.545,0.475,0.369}
\definecolor{LemonChiffon1}{rgb}{1.000,0.980,0.804}
\definecolor{LemonChiffon2}{rgb}{0.933,0.914,0.749}
\definecolor{LemonChiffon3}{rgb}{0.804,0.788,0.647}
\definecolor{LemonChiffon4}{rgb}{0.545,0.537,0.439}
\definecolor{cornsilk1}{rgb}{1.000,0.973,0.863}
\definecolor{cornsilk2}{rgb}{0.933,0.910,0.804}
\definecolor{cornsilk3}{rgb}{0.804,0.784,0.694}
\definecolor{cornsilk4}{rgb}{0.545,0.533,0.471}
\definecolor{ivory1}{rgb}{1.000,1.000,0.941}
\definecolor{ivory2}{rgb}{0.933,0.933,0.878}
\definecolor{ivory3}{rgb}{0.804,0.804,0.757}
\definecolor{ivory4}{rgb}{0.545,0.545,0.514}
\definecolor{honeydew1}{rgb}{0.941,1.000,0.941}
\definecolor{honeydew2}{rgb}{0.878,0.933,0.878}
\definecolor{honeydew3}{rgb}{0.757,0.804,0.757}
\definecolor{honeydew4}{rgb}{0.514,0.545,0.514}
\definecolor{LavenderBlush1}{rgb}{1.000,0.941,0.961}
\definecolor{LavenderBlush2}{rgb}{0.933,0.878,0.898}
\definecolor{LavenderBlush3}{rgb}{0.804,0.757,0.773}
\definecolor{LavenderBlush4}{rgb}{0.545,0.514,0.525}
\definecolor{MistyRose1}{rgb}{1.000,0.894,0.882}
\definecolor{MistyRose2}{rgb}{0.933,0.835,0.824}
\definecolor{MistyRose3}{rgb}{0.804,0.718,0.710}
\definecolor{MistyRose4}{rgb}{0.545,0.490,0.482}
\definecolor{azure1}{rgb}{0.941,1.000,1.000}
\definecolor{azure2}{rgb}{0.878,0.933,0.933}
\definecolor{azure3}{rgb}{0.757,0.804,0.804}
\definecolor{azure4}{rgb}{0.514,0.545,0.545}
\definecolor{SlateBlue1}{rgb}{0.514,0.435,1.000}
\definecolor{SlateBlue2}{rgb}{0.478,0.404,0.933}
\definecolor{SlateBlue3}{rgb}{0.412,0.349,0.804}
\definecolor{SlateBlue4}{rgb}{0.278,0.235,0.545}
\definecolor{RoyalBlue1}{rgb}{0.282,0.463,1.000}
\definecolor{RoyalBlue2}{rgb}{0.263,0.431,0.933}
\definecolor{RoyalBlue3}{rgb}{0.227,0.373,0.804}
\definecolor{RoyalBlue4}{rgb}{0.153,0.251,0.545}
\definecolor{blue1}{rgb}{0.000,0.000,1.000}
\definecolor{blue2}{rgb}{0.000,0.000,0.933}
\definecolor{blue3}{rgb}{0.000,0.000,0.804}
\definecolor{blue4}{rgb}{0.000,0.000,0.545}
\definecolor{DodgerBlue1}{rgb}{0.118,0.565,1.000}
\definecolor{DodgerBlue2}{rgb}{0.110,0.525,0.933}
\definecolor{DodgerBlue3}{rgb}{0.094,0.455,0.804}
\definecolor{DodgerBlue4}{rgb}{0.063,0.306,0.545}
\definecolor{SteelBlue1}{rgb}{0.388,0.722,1.000}
\definecolor{SteelBlue2}{rgb}{0.361,0.675,0.933}
\definecolor{SteelBlue3}{rgb}{0.310,0.580,0.804}
\definecolor{SteelBlue4}{rgb}{0.212,0.392,0.545}
\definecolor{DeepSkyBlue1}{rgb}{0.000,0.749,1.000}
\definecolor{DeepSkyBlue2}{rgb}{0.000,0.698,0.933}
\definecolor{DeepSkyBlue3}{rgb}{0.000,0.604,0.804}
\definecolor{DeepSkyBlue4}{rgb}{0.000,0.408,0.545}
\definecolor{SkyBlue1}{rgb}{0.529,0.808,1.000}
\definecolor{SkyBlue2}{rgb}{0.494,0.753,0.933}
\definecolor{SkyBlue3}{rgb}{0.424,0.651,0.804}
\definecolor{SkyBlue4}{rgb}{0.290,0.439,0.545}
\definecolor{LightSkyBlue1}{rgb}{0.690,0.886,1.000}
\definecolor{LightSkyBlue2}{rgb}{0.643,0.827,0.933}
\definecolor{LightSkyBlue3}{rgb}{0.553,0.714,0.804}
\definecolor{LightSkyBlue4}{rgb}{0.376,0.482,0.545}
\definecolor{SlateGray1}{rgb}{0.776,0.886,1.000}
\definecolor{SlateGray2}{rgb}{0.725,0.827,0.933}
\definecolor{SlateGray3}{rgb}{0.624,0.714,0.804}
\definecolor{SlateGray4}{rgb}{0.424,0.482,0.545}
\definecolor{LightSteelBlue1}{rgb}{0.792,0.882,1.000}
\definecolor{LightSteelBlue2}{rgb}{0.737,0.824,0.933}
\definecolor{LightSteelBlue3}{rgb}{0.635,0.710,0.804}
\definecolor{LightSteelBlue4}{rgb}{0.431,0.482,0.545}
\definecolor{LightBlue1}{rgb}{0.749,0.937,1.000}
\definecolor{LightBlue2}{rgb}{0.698,0.875,0.933}
\definecolor{LightBlue3}{rgb}{0.604,0.753,0.804}
\definecolor{LightBlue4}{rgb}{0.408,0.514,0.545}
\definecolor{LightCyan1}{rgb}{0.878,1.000,1.000}
\definecolor{LightCyan2}{rgb}{0.820,0.933,0.933}
\definecolor{LightCyan3}{rgb}{0.706,0.804,0.804}
\definecolor{LightCyan4}{rgb}{0.478,0.545,0.545}
\definecolor{PaleTurquoise1}{rgb}{0.733,1.000,1.000}
\definecolor{PaleTurquoise2}{rgb}{0.682,0.933,0.933}
\definecolor{PaleTurquoise3}{rgb}{0.588,0.804,0.804}
\definecolor{PaleTurquoise4}{rgb}{0.400,0.545,0.545}
\definecolor{CadetBlue1}{rgb}{0.596,0.961,1.000}
\definecolor{CadetBlue2}{rgb}{0.557,0.898,0.933}
\definecolor{CadetBlue3}{rgb}{0.478,0.773,0.804}
\definecolor{CadetBlue4}{rgb}{0.325,0.525,0.545}
\definecolor{turquoise1}{rgb}{0.000,0.961,1.000}
\definecolor{turquoise2}{rgb}{0.000,0.898,0.933}
\definecolor{turquoise3}{rgb}{0.000,0.773,0.804}
\definecolor{turquoise4}{rgb}{0.000,0.525,0.545}
\definecolor{cyan1}{rgb}{0.000,1.000,1.000}
\definecolor{cyan2}{rgb}{0.000,0.933,0.933}
\definecolor{cyan3}{rgb}{0.000,0.804,0.804}
\definecolor{cyan4}{rgb}{0.000,0.545,0.545}
\definecolor{DarkSlateGray1}{rgb}{0.592,1.000,1.000}
\definecolor{DarkSlateGray2}{rgb}{0.553,0.933,0.933}
\definecolor{DarkSlateGray3}{rgb}{0.475,0.804,0.804}
\definecolor{DarkSlateGray4}{rgb}{0.322,0.545,0.545}
\definecolor{aquamarine1}{rgb}{0.498,1.000,0.831}
\definecolor{aquamarine2}{rgb}{0.463,0.933,0.776}
\definecolor{aquamarine3}{rgb}{0.400,0.804,0.667}
\definecolor{aquamarine4}{rgb}{0.271,0.545,0.455}
\definecolor{DarkSeaGreen1}{rgb}{0.757,1.000,0.757}
\definecolor{DarkSeaGreen2}{rgb}{0.706,0.933,0.706}
\definecolor{DarkSeaGreen3}{rgb}{0.608,0.804,0.608}
\definecolor{DarkSeaGreen4}{rgb}{0.412,0.545,0.412}
\definecolor{SeaGreen1}{rgb}{0.329,1.000,0.624}
\definecolor{SeaGreen2}{rgb}{0.306,0.933,0.580}
\definecolor{SeaGreen3}{rgb}{0.263,0.804,0.502}
\definecolor{SeaGreen4}{rgb}{0.180,0.545,0.341}
\definecolor{PaleGreen1}{rgb}{0.604,1.000,0.604}
\definecolor{PaleGreen2}{rgb}{0.565,0.933,0.565}
\definecolor{PaleGreen3}{rgb}{0.486,0.804,0.486}
\definecolor{PaleGreen4}{rgb}{0.329,0.545,0.329}
\definecolor{SpringGreen1}{rgb}{0.000,1.000,0.498}
\definecolor{SpringGreen2}{rgb}{0.000,0.933,0.463}
\definecolor{SpringGreen3}{rgb}{0.000,0.804,0.400}
\definecolor{SpringGreen4}{rgb}{0.000,0.545,0.271}
\definecolor{green1}{rgb}{0.000,1.000,0.000}
\definecolor{green2}{rgb}{0.000,0.933,0.000}
\definecolor{green3}{rgb}{0.000,0.804,0.000}
\definecolor{green4}{rgb}{0.000,0.545,0.000}
\definecolor{chartreuse1}{rgb}{0.498,1.000,0.000}
\definecolor{chartreuse2}{rgb}{0.463,0.933,0.000}
\definecolor{chartreuse3}{rgb}{0.400,0.804,0.000}
\definecolor{chartreuse4}{rgb}{0.271,0.545,0.000}
\definecolor{OliveDrab1}{rgb}{0.753,1.000,0.243}
\definecolor{OliveDrab2}{rgb}{0.702,0.933,0.227}
\definecolor{OliveDrab3}{rgb}{0.604,0.804,0.196}
\definecolor{OliveDrab4}{rgb}{0.412,0.545,0.133}
\definecolor{DarkOliveGreen1}{rgb}{0.792,1.000,0.439}
\definecolor{DarkOliveGreen2}{rgb}{0.737,0.933,0.408}
\definecolor{DarkOliveGreen3}{rgb}{0.635,0.804,0.353}
\definecolor{DarkOliveGreen4}{rgb}{0.431,0.545,0.239}
\definecolor{khaki1}{rgb}{1.000,0.965,0.561}
\definecolor{khaki2}{rgb}{0.933,0.902,0.522}
\definecolor{khaki3}{rgb}{0.804,0.776,0.451}
\definecolor{khaki4}{rgb}{0.545,0.525,0.306}
\definecolor{LightGoldenrod1}{rgb}{1.000,0.925,0.545}
\definecolor{LightGoldenrod2}{rgb}{0.933,0.863,0.510}
\definecolor{LightGoldenrod3}{rgb}{0.804,0.745,0.439}
\definecolor{LightGoldenrod4}{rgb}{0.545,0.506,0.298}
\definecolor{LightYellow1}{rgb}{1.000,1.000,0.878}
\definecolor{LightYellow2}{rgb}{0.933,0.933,0.820}
\definecolor{LightYellow3}{rgb}{0.804,0.804,0.706}
\definecolor{LightYellow4}{rgb}{0.545,0.545,0.478}
\definecolor{yellow1}{rgb}{1.000,1.000,0.000}
\definecolor{yellow2}{rgb}{0.933,0.933,0.000}
\definecolor{yellow3}{rgb}{0.804,0.804,0.000}
\definecolor{yellow4}{rgb}{0.545,0.545,0.000}
\definecolor{gold1}{rgb}{1.000,0.843,0.000}
\definecolor{gold2}{rgb}{0.933,0.788,0.000}
\definecolor{gold3}{rgb}{0.804,0.678,0.000}
\definecolor{gold4}{rgb}{0.545,0.459,0.000}
\definecolor{goldenrod1}{rgb}{1.000,0.757,0.145}
\definecolor{goldenrod2}{rgb}{0.933,0.706,0.133}
\definecolor{goldenrod3}{rgb}{0.804,0.608,0.114}
\definecolor{goldenrod4}{rgb}{0.545,0.412,0.078}
\definecolor{DarkGoldenrod1}{rgb}{1.000,0.725,0.059}
\definecolor{DarkGoldenrod2}{rgb}{0.933,0.678,0.055}
\definecolor{DarkGoldenrod3}{rgb}{0.804,0.584,0.047}
\definecolor{DarkGoldenrod4}{rgb}{0.545,0.396,0.031}
\definecolor{RosyBrown1}{rgb}{1.000,0.757,0.757}
\definecolor{RosyBrown2}{rgb}{0.933,0.706,0.706}
\definecolor{RosyBrown3}{rgb}{0.804,0.608,0.608}
\definecolor{RosyBrown4}{rgb}{0.545,0.412,0.412}
\definecolor{IndianRed1}{rgb}{1.000,0.416,0.416}
\definecolor{IndianRed2}{rgb}{0.933,0.388,0.388}
\definecolor{IndianRed3}{rgb}{0.804,0.333,0.333}
\definecolor{IndianRed4}{rgb}{0.545,0.227,0.227}
\definecolor{sienna1}{rgb}{1.000,0.510,0.278}
\definecolor{sienna2}{rgb}{0.933,0.475,0.259}
\definecolor{sienna3}{rgb}{0.804,0.408,0.224}
\definecolor{sienna4}{rgb}{0.545,0.278,0.149}
\definecolor{burlywood1}{rgb}{1.000,0.827,0.608}
\definecolor{burlywood2}{rgb}{0.933,0.773,0.569}
\definecolor{burlywood3}{rgb}{0.804,0.667,0.490}
\definecolor{burlywood4}{rgb}{0.545,0.451,0.333}
\definecolor{wheat1}{rgb}{1.000,0.906,0.729}
\definecolor{wheat2}{rgb}{0.933,0.847,0.682}
\definecolor{wheat3}{rgb}{0.804,0.729,0.588}
\definecolor{wheat4}{rgb}{0.545,0.494,0.400}
\definecolor{tan1}{rgb}{1.000,0.647,0.310}
\definecolor{tan2}{rgb}{0.933,0.604,0.286}
\definecolor{tan3}{rgb}{0.804,0.522,0.247}
\definecolor{tan4}{rgb}{0.545,0.353,0.169}
\definecolor{chocolate1}{rgb}{1.000,0.498,0.141}
\definecolor{chocolate2}{rgb}{0.933,0.463,0.129}
\definecolor{chocolate3}{rgb}{0.804,0.400,0.114}
\definecolor{chocolate4}{rgb}{0.545,0.271,0.075}
\definecolor{firebrick1}{rgb}{1.000,0.188,0.188}
\definecolor{firebrick2}{rgb}{0.933,0.173,0.173}
\definecolor{firebrick3}{rgb}{0.804,0.149,0.149}
\definecolor{firebrick4}{rgb}{0.545,0.102,0.102}
\definecolor{brown1}{rgb}{1.000,0.251,0.251}
\definecolor{brown2}{rgb}{0.933,0.231,0.231}
\definecolor{brown3}{rgb}{0.804,0.200,0.200}
\definecolor{brown4}{rgb}{0.545,0.137,0.137}
\definecolor{salmon1}{rgb}{1.000,0.549,0.412}
\definecolor{salmon2}{rgb}{0.933,0.510,0.384}
\definecolor{salmon3}{rgb}{0.804,0.439,0.329}
\definecolor{salmon4}{rgb}{0.545,0.298,0.224}
\definecolor{LightSalmon1}{rgb}{1.000,0.627,0.478}
\definecolor{LightSalmon2}{rgb}{0.933,0.584,0.447}
\definecolor{LightSalmon3}{rgb}{0.804,0.506,0.384}
\definecolor{LightSalmon4}{rgb}{0.545,0.341,0.259}
\definecolor{orange1}{rgb}{1.000,0.647,0.000}
\definecolor{orange2}{rgb}{0.933,0.604,0.000}
\definecolor{orange3}{rgb}{0.804,0.522,0.000}
\definecolor{orange4}{rgb}{0.545,0.353,0.000}
\definecolor{DarkOrange1}{rgb}{1.000,0.498,0.000}
\definecolor{DarkOrange2}{rgb}{0.933,0.463,0.000}
\definecolor{DarkOrange3}{rgb}{0.804,0.400,0.000}
\definecolor{DarkOrange4}{rgb}{0.545,0.271,0.000}
\definecolor{coral1}{rgb}{1.000,0.447,0.337}
\definecolor{coral2}{rgb}{0.933,0.416,0.314}
\definecolor{coral3}{rgb}{0.804,0.357,0.271}
\definecolor{coral4}{rgb}{0.545,0.243,0.184}
\definecolor{tomato1}{rgb}{1.000,0.388,0.278}
\definecolor{tomato2}{rgb}{0.933,0.361,0.259}
\definecolor{tomato3}{rgb}{0.804,0.310,0.224}
\definecolor{tomato4}{rgb}{0.545,0.212,0.149}
\definecolor{OrangeRed1}{rgb}{1.000,0.271,0.000}
\definecolor{OrangeRed2}{rgb}{0.933,0.251,0.000}
\definecolor{OrangeRed3}{rgb}{0.804,0.216,0.000}
\definecolor{OrangeRed4}{rgb}{0.545,0.145,0.000}
\definecolor{red1}{rgb}{1.000,0.000,0.000}
\definecolor{red2}{rgb}{0.933,0.000,0.000}
\definecolor{red3}{rgb}{0.804,0.000,0.000}
\definecolor{red4}{rgb}{0.545,0.000,0.000}
\definecolor{DeepPink1}{rgb}{1.000,0.078,0.576}
\definecolor{DeepPink2}{rgb}{0.933,0.071,0.537}
\definecolor{DeepPink3}{rgb}{0.804,0.063,0.463}
\definecolor{DeepPink4}{rgb}{0.545,0.039,0.314}
\definecolor{HotPink1}{rgb}{1.000,0.431,0.706}
\definecolor{HotPink2}{rgb}{0.933,0.416,0.655}
\definecolor{HotPink3}{rgb}{0.804,0.376,0.565}
\definecolor{HotPink4}{rgb}{0.545,0.227,0.384}
\definecolor{pink1}{rgb}{1.000,0.710,0.773}
\definecolor{pink2}{rgb}{0.933,0.663,0.722}
\definecolor{pink3}{rgb}{0.804,0.569,0.620}
\definecolor{pink4}{rgb}{0.545,0.388,0.424}
\definecolor{LightPink1}{rgb}{1.000,0.682,0.725}
\definecolor{LightPink2}{rgb}{0.933,0.635,0.678}
\definecolor{LightPink3}{rgb}{0.804,0.549,0.584}
\definecolor{LightPink4}{rgb}{0.545,0.373,0.396}
\definecolor{PaleVioletRed1}{rgb}{1.000,0.510,0.671}
\definecolor{PaleVioletRed2}{rgb}{0.933,0.475,0.624}
\definecolor{PaleVioletRed3}{rgb}{0.804,0.408,0.537}
\definecolor{PaleVioletRed4}{rgb}{0.545,0.278,0.365}
\definecolor{maroon1}{rgb}{1.000,0.204,0.702}
\definecolor{maroon2}{rgb}{0.933,0.188,0.655}
\definecolor{maroon3}{rgb}{0.804,0.161,0.565}
\definecolor{maroon4}{rgb}{0.545,0.110,0.384}
\definecolor{VioletRed1}{rgb}{1.000,0.243,0.588}
\definecolor{VioletRed2}{rgb}{0.933,0.227,0.549}
\definecolor{VioletRed3}{rgb}{0.804,0.196,0.471}
\definecolor{VioletRed4}{rgb}{0.545,0.133,0.322}
\definecolor{magenta1}{rgb}{1.000,0.000,1.000}
\definecolor{magenta2}{rgb}{0.933,0.000,0.933}
\definecolor{magenta3}{rgb}{0.804,0.000,0.804}
\definecolor{magenta4}{rgb}{0.545,0.000,0.545}
\definecolor{orchid1}{rgb}{1.000,0.514,0.980}
\definecolor{orchid2}{rgb}{0.933,0.478,0.914}
\definecolor{orchid3}{rgb}{0.804,0.412,0.788}
\definecolor{orchid4}{rgb}{0.545,0.278,0.537}
\definecolor{plum1}{rgb}{1.000,0.733,1.000}
\definecolor{plum2}{rgb}{0.933,0.682,0.933}
\definecolor{plum3}{rgb}{0.804,0.588,0.804}
\definecolor{plum4}{rgb}{0.545,0.400,0.545}
\definecolor{MediumOrchid1}{rgb}{0.878,0.400,1.000}
\definecolor{MediumOrchid2}{rgb}{0.820,0.373,0.933}
\definecolor{MediumOrchid3}{rgb}{0.706,0.322,0.804}
\definecolor{MediumOrchid4}{rgb}{0.478,0.216,0.545}
\definecolor{DarkOrchid1}{rgb}{0.749,0.243,1.000}
\definecolor{DarkOrchid2}{rgb}{0.698,0.227,0.933}
\definecolor{DarkOrchid3}{rgb}{0.604,0.196,0.804}
\definecolor{DarkOrchid4}{rgb}{0.408,0.133,0.545}
\definecolor{purple1}{rgb}{0.608,0.188,1.000}
\definecolor{purple2}{rgb}{0.569,0.173,0.933}
\definecolor{purple3}{rgb}{0.490,0.149,0.804}
\definecolor{purple4}{rgb}{0.333,0.102,0.545}
\definecolor{MediumPurple1}{rgb}{0.671,0.510,1.000}
\definecolor{MediumPurple2}{rgb}{0.624,0.475,0.933}
\definecolor{MediumPurple3}{rgb}{0.537,0.408,0.804}
\definecolor{MediumPurple4}{rgb}{0.365,0.278,0.545}
\definecolor{thistle1}{rgb}{1.000,0.882,1.000}
\definecolor{thistle2}{rgb}{0.933,0.824,0.933}
\definecolor{thistle3}{rgb}{0.804,0.710,0.804}
\definecolor{thistle4}{rgb}{0.545,0.482,0.545}
\definecolor{DarkGrey}{rgb}{0.663,0.663,0.663}
\definecolor{DarkGray}{rgb}{0.663,0.663,0.663}
\definecolor{DarkBlue}{rgb}{0.000,0.000,0.545}
\definecolor{DarkCyan}{rgb}{0.000,0.545,0.545}
\definecolor{DarkMagenta}{rgb}{0.545,0.000,0.545}
\definecolor{DarkRed}{rgb}{0.545,0.000,0.000}
\definecolor{LightGreen}{rgb}{0.565,0.933,0.565}
